package com.keao.edu.common.enums;

public enum MessageTypeEnum implements BaseEnum<String, MessageTypeEnum> {

    SMS_VERIFY_CODE_LOGIN("SMS_VERIFY_CODE_LOGIN", "验证码登录"),
    EXAM_REGISTRATION_URL_SMS("EXAM_REGISTRATION_URL_SMS", "报名连接推送"),
    STUDENT_EXAM_START("STUDENT_EXAM_START", "考试已开始"),
    EXAM_REGISTRATION_CLOSE_SMS("EXAM_REGISTRATION_CLOSE_SMS", "关闭报名"),
    EXAM_CLOSE_SMS("EXAM_CLOSE_SMS", "项目关闭"),
    EXAM_REGIST_TIME_CHANGE_SMS("EXAM_REGIST_TIME_CHANGE_SMS", "报名时间调整"),
    EXAM_REGIST_EXPIRE_SMS("EXAM_REGIST_EXPIRE_SMS", "报名截至"),
    REGIST_PASS_PUSH("REGIST_PASS_PUSH", "报名审核通过"),
    REGIST_REJECT_PUSH("REGIST_REJECT_PUSH", "报名审核未通过"),
    REGIST_REJECT_SMS("REGIST_REJECT_SMS", "报名审核未通过"),
    ACTION_EXAM_SIGN_PUSH("ACTION_EXAM_SIGN_PUSH", "开考签到提醒"),
    EXAM_ROOM_CONFIRM_ONLINE_STUDENT_PUSH("EXAM_ROOM_CONFIRM_ONLINE_STUDENT_PUSH", "考场已确认"),
    EXAM_ROOM_CONFIRM_ONLINE_STUDENT_SMS("EXAM_ROOM_CONFIRM_ONLINE_STUDENT_SMS", "考场已确认"),
    EXAM_ROOM_CONFIRM_OFFLINE_STUDENT_PUSH("EXAM_ROOM_CONFIRM_OFFLINE_STUDENT_PUSH", "考场已确认"),
    EXAM_ROOM_CONFIRM_OFFLINE_STUDENT_SMS("EXAM_ROOM_CONFIRM_OFFLINE_STUDENT_SMS", "考场已确认"),
    EXAM_ROOM_CONFIRM_TEACHER_SMS("EXAM_ROOM_CONFIRM_TEACHER_SMS", "考场已确认"),
    BEFORE_EXAM_TEACHER_REMIND_SMS("BEFORE_EXAM_TEACHER_REMIND_SMS","明日考试安排"),
    BEFORE_EXAM_STUDENT_REMIND_PUSH("BEFORE_EXAM_STUDENT_REMIND_PUSH","明日考试安排"),
    BEFORE_EXAM_STUDENT_REMIND_SMS("BEFORE_EXAM_STUDENT_REMIND_SMS","明日考试安排"),
    EXAM_END_REMIND("EXAM_END_REMIND", "考试结果确认通知"),
    EXAM_RESULT_CONFIRM_PUSH("EXAM_RESULT_CONFIRM_PUSH", "考试结果已确认"),

    //监考端
    EXAM_ROOM_OPEN_PUSH("EXAM_ROOM_OPEN_PUSH", "开考签到提醒"),
    EXAM_ROOM_OPEN_SMS("EXAM_ROOM_OPEN_SMS", "开考签到提醒"),
    EXAM_ROOM_STUDENT_SIGN_IN_PUSH("EXAM_ROOM_STUDENT_SIGN_IN_PUSH", "考试已签到"),
    EXAM_WILL_START_PUSH("EXAM_WILL_START_PUSH", "考试即将开始"),
    EXAM_STARTED_PUSH("EXAM_STARTED_PUSH", "考试已开始"),
    EXAM_ROOM_STUDENT_SIGN_IN_AGAIN_PUSH("EXAM_ROOM_STUDENT_SIGN_IN_AGAIN_PUSH", "重考签到提醒"),
    EXAM_ROOM_STUDENT_IS_SIGN_IN_AGAIN_PUSH("EXAM_ROOM_STUDENT_IS_SIGN_IN_AGAIN_PUSH", "重考已签到"),;

    MessageTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private String code;

    private String msg;

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }
}
